Bug 467401 - (mingw32-libjpeg) Review Request: mingw32-libjpeg - MinGW Windows Libjpeg library
Review Request: mingw32-libjpeg - MinGW Windows Libjpeg library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On: 454410 454416 mingw32-libpng
Blocks: mingw32-jasper mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 06:39 EDT by Richard W.M. Jones
Modified: 2013-04-30 19:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:19:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atkac: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Adam Tkac 2008-12-10 09:08:01 EST
SRPM and SPEC links seem incorrect. Could you please update them? I will take
care about review.
Comment 3 Richard W.M. Jones 2009-01-25 08:22:07 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/libjpeg/mingw32-libjpeg.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libjpeg-6b-7.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 6b-7
- Disable static libraries.
- Use _smp_mflags.
- Update for new libtool 2.
- +BR mingw32-dlfcn.
- Added documentation (README includes the license).
Comment 4 Levente Farkas 2009-01-27 09:51:28 EST
Adam, will you take this review?
Comment 5 Adam Tkac 2009-01-27 10:46:19 EST
(In reply to comment #4)
> Adam, will you take this review?

yes, of course. Sorry for late response, I lost this review in my "working queue".

Review:

source files match upstream: YES
package meets naming and versioning guidelines: YES
specfile is properly named, is cleanly written and uses macros consistently: YES
dist tag is present: YES
build root is correct: YES
license field matches the actual license: YES
license is open source-compatible. YES
latest version is being packaged: YES
BuildRequires are proper: YES
compiler flags are appropriate: YES
%clean is present: YES
package builds in mock (Rawhide/x86_64): YES
rpmlint is silent: NO but errors are ok for mingw32 package
final provides and requires look sane: NO
owns the directories it creates: YES
no duplicates in %files: YES
file permissions are appropriate: YES
code, not content: YES
-----------------------------------------------------------

Currently I see one problem - win32 binaries are installed:
/usr/i686-pc-mingw32/sys-root/mingw/bin/cjpeg
/usr/i686-pc-mingw32/sys-root/mingw/bin/djpeg
/usr/i686-pc-mingw32/sys-root/mingw/bin/jpegtran
/usr/i686-pc-mingw32/sys-root/mingw/bin/rdjpgcom
/usr/i686-pc-mingw32/sys-root/mingw/bin/wrjpgcom

Is here any reason to have them installed?
Comment 6 Levente Farkas 2009-01-27 11:07:55 EST
yes and no. we usually ship those binaries which needed on win32 eg: openssl.exe the reason for this is that nsis or nsiswrapper can collect all required libs and exes for the installer and then the final installer can contain all component which required on win32. however in this case these exe should have to be called *.exe:-(
i send a patch to the mailing list.
Comment 7 Richard W.M. Jones 2009-01-28 05:26:36 EST
Although application programs are excluded from the MinGW project,
we do ship the occasional Win32 binary if it would be useful for
testing, development or debugging.  Examples include:

- openssl.exe (so developers and end users can debug certificates)
- certtool.exe (for the same reason)
- worms.exe (useful demo program which can be used to find out if
   all the components leading up to the windows console are working)

In this case, I don't think any of those binaries are useful for
this purpose, so they should be excluded.  The following excludes
them, and also includes Levente's patch from comment 6.

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/libjpeg/mingw32-libjpeg.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libjpeg-6b-8.fc11.src.rpm

* Wed Jan 28 2009 Richard W.M. Jones <rjones@redhat.com> - 6b-8
- Exclude the binaries.
- Rename the binaries to *.exe (Levente Farkas).
Comment 8 Adam Tkac 2009-01-28 08:43:12 EST
Ok, all problems have been fixed => reviewed.
Comment 9 Richard W.M. Jones 2009-01-28 08:53:47 EST
New Package CVS Request
=======================
Package Name: mingw32-libjpeg
Short Description: MinGW Windows Libjpeg library
Owners: rjones berrange lfarkas
Branches: F-10 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-01-28 19:08:44 EST
cvs done.
Comment 11 Fedora Update System 2009-02-04 21:19:41 EST
mingw32-libjpeg-6b-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.